#This file is part of Tryton.  The COPYRIGHT file at the top level of
#this repository contains the full copyright notices and license terms.
from trytond.model import ModelView, ModelSQL, fields
from trytond.transaction import Transaction

__all__ = ['Department']


class Department(ModelSQL, ModelView):
    'Department'
    __name__ = 'company.department'
    name = fields.Char('Name', required=True)
    company = fields.Many2One('company.company', 'Company')

    @classmethod    
    def __setup__(cls):
        super(Department, cls).__setup__()
        cls._order.insert(0, ('name', 'ASC'))

    @staticmethod
    def default_company():
        return Transaction().context.get('company') or False
